#!/usr/bin/env bash
set -e

for secrets in $(find . -type 'f' -name 'secrets.*');
    do sops filestatus $secrets;
done | grep false && \
echo "There are unencrypted secrets in the repo" && exit 1 || \
exit 0
